var demo = angular.module('demo', []);

demo.controller('MainCtrl', function ( $scope ) {
  // 表示する項目
  $scope.items = [
    { text: 'Peach' },
	  { text: 'Melon' }
  ];
  
  // 選択肢
  $scope.masterItems = [
    { value: '0', text: 'Apple' },
    { value: '1', text: 'Lemon' },
    { value: '2', text: 'Peach' },
    { value: '3', text: 'Melon' },
  ];

  $scope.optionText = function ( index ) {
    var item = $scope.masterItems[ index ];
    return item.text;
  };

  $scope.selectedItem = $scope.masterItems[ 0 ];

  // 選択したアイテムを追加
  $scope.addItem = function ( index ) {
    var item = {};
    var masterItem = $scope.masterItems[ index ];
    item.text = masterItem.text;
    $scope.items.push( item );
  };

  $scope.text = 'demo';

  // 入力したテキストを追加
  $scope.addItemText = function () {
    var item = {};
    if ( $scope.text != "" ) {
      item.text = $scope.text;
      $scope.items.push( item );
      $scope.txt = '';
    }
  };
});